﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;

namespace CellWrapping
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamDataGrid_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            foreach (Field f in e.FieldLayout.Fields)
            {
                f.DataType = typeof(string);
                f.Settings.EditorType = typeof(XamTextEditor);
                f.Settings.EditorStyle = new Style(typeof(XamTextEditor));
                f.Settings.EditorStyle.Setters.Add(new Setter(XamTextEditor.TextWrappingProperty, TextWrapping.WrapWithOverflow));
                f.Settings.EditorStyle.Setters.Add(new Setter(XamTextEditor.HeightProperty, (double)40));
                f.Settings.EditorStyle.Setters.Add(new Setter(XamTextEditor.VerticalScrollBarVisibilityProperty, ScrollBarVisibility.Auto));            }
            
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            MyViewer.Tag = MyViewer.Tag == null ? "temp" : null;
        }

        private void ViewerPane_Closing(object sender, Infragistics.Windows.DockManager.Events.PaneClosingEventArgs e)
        {

        }

        private void ViewerPane_Closed(object sender, Infragistics.Windows.DockManager.Events.PaneClosedEventArgs e)
        {
            MyViewer.Tag = null;
            e.Handled = true;
        }
    }
    public class IsNullConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return (value == null);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new InvalidOperationException("IsNullConverter can only be used OneWay.");
        }
    }

}


